SimpleAttachmentDescriptor (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.hqu.SimpleAttachmentDescriptor class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.hqu
Class SimpleAttachmentDescriptor

    java.lang.Object
      org.hyperic.hq.hqu.SimpleAttachmentDescriptor

All Implemented Interfaces:
  AttachmentDescriptor

    public class SimpleAttachmentDescriptor

extends java.lang.Object
implements AttachmentDescriptor

Constructor Summary
`SimpleAttachmentDescriptor(Attachment a, java.lang.String helpTag, java.lang.String html)`
`SimpleAttachmentDescriptor(Attachment a, java.lang.String helpTag, java.lang.String html, java.lang.String iconClass)`

Method Summary
`Attachment` | `getAttachment()` Get the associated attachment
`java.lang.String` | `getHelpTag()` Get the help tag used to link the help button to the wiki help page.
`java.lang.String` | `getHTML()` Get the HTML used to render the attachment.
`java.lang.String` | `getIconClass()` Get the class representing this descriptor as an icon.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleAttachmentDescriptor

    public SimpleAttachmentDescriptor(Attachment a,
                                      java.lang.String helpTag,
                                      java.lang.String html)

### SimpleAttachmentDescriptor

    public SimpleAttachmentDescriptor(Attachment a,
                                      java.lang.String helpTag,
                                      java.lang.String html,
                                      java.lang.String iconClass)

Method Detail

### getAttachment

    public Attachment getAttachment()

  Description copied from interface: `AttachmentDescriptor`
  Get the associated attachment

  Specified by:
    `getAttachment` in interface `AttachmentDescriptor`

### getHelpTag

    public java.lang.String getHelpTag()

  Description copied from interface: `AttachmentDescriptor`
  Get the help tag used to link the help button to the wiki help page. This is usually something like 'Alert.Center'

  Specified by:
    `getHelpTag` in interface `AttachmentDescriptor`

### getHTML

    public java.lang.String getHTML()

  Description copied from interface: `AttachmentDescriptor`
  Get the HTML used to render the attachment. This is usually just the text description, however it can be more elaborate (like using images or javascript, etc.)

  Specified by:
    `getHTML` in interface `AttachmentDescriptor`

### getIconClass

    public java.lang.String getIconClass()

  Description copied from interface: `AttachmentDescriptor`
  Get the class representing this descriptor as an icon. This is usually found in 'web/css/HQ_40_OS.css' or the like. e.g. "resourceIcon"

  Specified by:
    `getIconClass` in interface `AttachmentDescriptor`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.